<template>
  <basic-container id="box" style="width: 100vw">
    <el-form :inline="true" :model="formInline" class="demo-form-inline">
      <el-form-item label="审批人">
        <el-input v-model="formInline.litigant" placeholder="审批人"></el-input>
      </el-form-item>
      <el-form-item label="电话">
        <el-input v-model="formInline.user" placeholder="审批人"></el-input>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" @click="getDataList(0)">查询</el-button>
      </el-form-item>
      <el-form-item style="float: right">
        <el-button type="primary" @click="getById">新增</el-button>
      </el-form-item>
    </el-form>
    <div class="law-table-main">
      <el-table
        :height="tableHeight"
        @row-click="rowget"
        :data="tableData">
        <el-table-column
          prop="casePoint"
          label="案由"
          :show-overflow-tooltip="true"
          min-width="22%"
        ></el-table-column>
        <el-table-column
          prop="litigant"
          label="当事人姓名"
          min-width="20%">
        </el-table-column>
        <el-table-column
          prop="phone"
          label="联系电话"
          min-width="22%"
        ></el-table-column>
        <el-table-column
          prop="createTime"
          label="提交时间"
          sortable
          min-width="18%"
        ></el-table-column>
        <el-table-column
          prop="hanlders"
          label="执法人"
          :show-overflow-tooltip="true"
          min-width="18%"
        ></el-table-column>
      </el-table>
    </div>
    <div class="avue-crud__pagination">
      <el-pagination
        @size-change="sizeChangeHandle"
        @current-change="currentChangeHandle"
        :current-page="pageIndex"
        :page-sizes="[10, 20, 50, 100]"
        :page-size="pageSize"
        :total="total"
        background
        layout="total, sizes, prev, pager, next, jumper"
      >
      </el-pagination>
    </div>
    <SunmaryProcedureForm v-if="isShow" ref="sunmaryProcedure" @cancel="cancel"></SunmaryProcedureForm>
  </basic-container>
</template>

<script>
import {getObj} from '@/api/News/pad'

export default {
  name: "index",

  data() {
    return {
      isShow:false,
      formInline: {
        litigant: '',
        phone: ''
      },
      pageSize:10,
      pageIndex:1,
      total:10,
      tableHeight: 460,
      tableData: []
    }
  },
  created() {
    this.getDataList(0)
  },
  methods: {
    // 查询列表
    getDataList(type){
      // this.$nextTick(()=>{
        if(type==0){
          this.formInline.type = type
          // this.formInline.user=222
          getObj(this.formInline).then(res =>{
            this.tableData =res.data.data.records
          })
        }else {
          // this.formInline.user=333
          getObj().then(res =>{
            this.tableData =res.data.data.records
          })
        }
      // })
    },
    //点击点跳转查看
    rowget(row,column) {
      /*console.log(row,'row===')
      console.log(column,'column===')*/
      // this.$router.push({name: 'process_manage', params: {name: id}})
      this.$router.push({
        path: '/padWord',
        query: {
          //id: row.id,
          name:row.casePoint
        }
      })
        this.$store.commit('SET_ID',row.id)
    },
    //打开新增弹框
    getById(){
      this.$router.push({
        path: '/fromAdd',
      })
    },
    //关闭添加弹框
    cancel() {
      this.isShow = false;
    },
    // 每页数
    sizeChangeHandle(val) {
      this.pageSize = val;
      this.pageIndex = 1;
      // this.getDataList();
    },
    // 当前页
    currentChangeHandle(val) {
      this.pageIndex = val;
      // this.getDataList();
    },
  }
}
</script>

<style lang="scss" scoped>
#box{
  font-size: 30px!important;
}
</style>
